### Hierarchy

- ExternalStylesFactory

## Index

### Methods

- newInstance

## Methods

### newInstance

- newInstance(externalStyles: string): Styles

- - Defined in file/styles/external-styles-factory.ts:28

  Creates new Style based on the given styles. Parses the styles and convert them to XmlComponent. Example content from styles.xml: <?xml version="1.0"> <w:styles xmlns:mc="some schema" ...>

  <w:style w:type="paragraph" w:styleId="Heading1"> <w:name w:val="heading 1"/> ..... </w:style>

  <w:style w:type="paragraph" w:styleId="Heading2"> <w:name w:val="heading 2"/> ..... </w:style>

  <w:docDefaults>Or any other element will be parsed to</w:docDefaults>

  </w:styles>

  #### Parameters

  - ##### externalStyles: string

    context from styles.xml

  #### Returns Styles

Generated using TypeDoc